/**
* Conjunto de datos de pruebas para el repositorio estadístico.
*/
ALTER SESSION SET CURRENT_SCHEMA = TFG_GPOSESMZ;

DELETE FROM LOGGER;
DELETE FROM MUESTREO;
DELETE FROM CONTROL;
DELETE FROM AUDITORIA_DEPARTAMENTO;
DELETE FROM AUDITORIA;
DELETE FROM CAMPANHA;
DELETE FROM ACCION_ESTADO_HISTORICO;
DELETE FROM ACCION;
DELETE FROM RIESGO;
DELETE FROM REP_GENERAL;
DELETE FROM REP_EST_ANHO_RIESGO;
INSERT INTO REP_GENERAL VALUES(NULL, NULL, NULL,NULL, NULL, NULL, NULL);


    -------------------- 2021 --------------------
	alter system set fixed_date = '2021-06-10';
	-------------------- RIESGOS --------------------
		-- Abiertos
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2021 Riesgo 1', SYSDATE, 1, 1, 3, 5, 1);
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2021 Riesgo 2', SYSDATE, 2, 3, 1, 2, 1);    
		-- Mitigado
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2021 Riesgo 3', SYSDATE, 1, 2, 3, 11, 2);
		-- Corregido
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2021 Riesgo 4', SYSDATE, 2, 1, 1, 2, 3);
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2021 Riesgo 5', SYSDATE, 1, 1, 3, 12, 2);
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2021 Riesgo 6', SYSDATE, 2, 1, 1, 2, 3);
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2021 Riesgo 7', SYSDATE, 1, 1, 2, 12, 2);		

	-------------------- CAMPAÑAS --------------------
		INSERT INTO CAMPANHA (NOMBRE, FECHA_INICIO, FECHA_FIN, IDLIDER)
			VALUES ('Campaña 2021', SYSDATE, TO_DATE('31/12/2021','DD/MM/YYYY'), 1);
	
	-------------------- AUDITORIAS --------------------
		INSERT INTO AUDITORIA(DESCRIPCION, COSTE, IDCAMPANHA, IDEMPRESA, IDEMPRESAEXTERNA, FECHA_INICIO)
			VALUES ('AUDITORIA INTERNA 2021', 0, (SELECT ID FROM CAMPANHA WHERE NOMBRE = 'Campaña 2021'), 1, 1, SYSDATE);
		INSERT INTO AUDITORIA(DESCRIPCION, COSTE, IDCAMPANHA, IDEMPRESA, IDEMPRESAEXTERNA, FECHA_INICIO)
			VALUES ('AUDITORIA AUTOEVALUACIÓN 2021', 0, (SELECT ID FROM CAMPANHA WHERE NOMBRE = 'Campaña 2021'), 1, 1, SYSDATE);
		INSERT INTO AUDITORIA(DESCRIPCION, COSTE, IDCAMPANHA, IDEMPRESA, IDEMPRESAEXTERNA, FECHA_INICIO)
			VALUES ('AUDITORIA EXTERNA 1 2021', 1500, (SELECT ID FROM CAMPANHA WHERE NOMBRE = 'Campaña 2021'), 1, 1, SYSDATE);
		INSERT INTO AUDITORIA(DESCRIPCION, COSTE, IDCAMPANHA, IDEMPRESA, IDEMPRESAEXTERNA, FECHA_INICIO)
			VALUES ('AUDITORIA EXTERNA 2 2021', 450, (SELECT ID FROM CAMPANHA WHERE NOMBRE = 'Campaña 2021'), 1, 1, SYSDATE);
	
	-------------------- ACCIONES --------------------
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2021 Acción 1', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 10, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2021 Riesgo 1'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2021 Acción 2', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 12, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2021 Riesgo 2'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2021 Acción 3', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 13, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2021 Riesgo 3'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2021 Acción 4', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 13, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2021 Riesgo 3'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2021 Acción 5', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 13, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2021 Riesgo 3'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2021 Acción 6', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 14, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2021 Riesgo 4'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2021 Acción 7', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 15, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2021 Riesgo 5'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2021 Acción 8', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 16, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2021 Riesgo 6'));
		
		-- En curso
		
		alter system set fixed_date = '2021-06-12';
		UPDATE ACCION
			SET IDESTADO = 3
		WHERE DESCRIPCION IN ('2021 Acción 1');
		
		alter system set fixed_date = '2021-06-13';
		UPDATE ACCION
			SET IDESTADO = 3
		WHERE DESCRIPCION IN ('2021 Acción 3');
		
		alter system set fixed_date = '2021-06-14';
		UPDATE ACCION
			SET IDESTADO = 3
		WHERE DESCRIPCION IN ('2021 Acción 4');
		
		alter system set fixed_date = '2021-06-15';
		UPDATE ACCION
			SET IDESTADO = 3
		WHERE DESCRIPCION IN ('2021 Acción 5');
		
		alter system set fixed_date = '2021-06-11';
		UPDATE ACCION
			SET IDESTADO = 3
		WHERE DESCRIPCION IN ('2021 Acción 7');
		
		alter system set fixed_date = '2021-06-12';
		UPDATE ACCION
			SET IDESTADO = 3
		WHERE DESCRIPCION IN ('2021 Acción 8');
		
		-- Implementada con el riesgo mitigado
		alter system set fixed_date = '2021-06-18';
		UPDATE ACCION
			SET IDESTADO = 4
		WHERE DESCRIPCION IN ('2021 Acción 6');
		
		-- Descartadas
		alter system set fixed_date = '2021-06-15';
		UPDATE ACCION
			SET IDESTADO = 5
		WHERE DESCRIPCION IN ('2021 Acción 2');
    
	-------------------------------------------------------------------------------------------------------------------------------
    -------------------- 2022 --------------------    
	alter system set fixed_date = '2022-06-10';
	-------------------- RIESGOS --------------------
		-- Abiertos
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2022 Riesgo 1', SYSDATE, 1, 1, 2, 4, 1);    
		-- Mitigado
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2022 Riesgo 2', SYSDATE, 1, 2, 3, 5, 2);
		-- Corregido
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2022 Riesgo 3', SYSDATE, 2, 1, 3, 6, 3);    
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2022 Riesgo 4', SYSDATE, 1, 1, 2, 9, 3);		
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2022 Riesgo 5', SYSDATE, 2, 1, 1, 9, 3);		

	-------------------- CAMPAÑAS --------------------
		INSERT INTO CAMPANHA (NOMBRE, FECHA_INICIO, FECHA_FIN, IDLIDER)
			VALUES ('Campaña 2022', SYSDATE, TO_DATE('31/12/2022','DD/MM/YYYY'), 1);
	
	-------------------- AUDITORIAS --------------------
		INSERT INTO AUDITORIA(DESCRIPCION, COSTE, IDCAMPANHA, IDEMPRESA, IDEMPRESAEXTERNA, FECHA_INICIO)
			VALUES ('AUDITORIA INTERNA 2022', 0, (SELECT ID FROM CAMPANHA WHERE NOMBRE = 'Campaña 2022'), 1, 1, SYSDATE);
		INSERT INTO AUDITORIA(DESCRIPCION, COSTE, IDCAMPANHA, IDEMPRESA, IDEMPRESAEXTERNA, FECHA_INICIO)
			VALUES ('AUDITORIA AUTOEVALUACIÓN 2022', 0, (SELECT ID FROM CAMPANHA WHERE NOMBRE = 'Campaña 2022'), 1, 1, SYSDATE);
		INSERT INTO AUDITORIA(DESCRIPCION, COSTE, IDCAMPANHA, IDEMPRESA, IDEMPRESAEXTERNA, FECHA_INICIO)
			VALUES ('AUDITORIA EXTERNA 1 2022', 1500, (SELECT ID FROM CAMPANHA WHERE NOMBRE = 'Campaña 2022'), 1, 1, SYSDATE);
		INSERT INTO AUDITORIA(DESCRIPCION, COSTE, IDCAMPANHA, IDEMPRESA, IDEMPRESAEXTERNA, FECHA_INICIO)
			VALUES ('AUDITORIA EXTERNA 2 2022', 450, (SELECT ID FROM CAMPANHA WHERE NOMBRE = 'Campaña 2022'), 1, 1, SYSDATE);		
		INSERT INTO AUDITORIA(DESCRIPCION, COSTE, IDCAMPANHA, IDEMPRESA, IDEMPRESAEXTERNA, FECHA_INICIO)
			VALUES ('AUDITORIA EXTERNA 3 2022', 2500, (SELECT ID FROM CAMPANHA WHERE NOMBRE = 'Campaña 2022'), 1, 1, SYSDATE);		
	
	-------------------- ACCIONES --------------------
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2022 Acción 1', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 10, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2022 Riesgo 1'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2022 Acción 2', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 12, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2022 Riesgo 2'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2022 Acción 3', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 13, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2022 Riesgo 3'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2022 Acción 4', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 13, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2022 Riesgo 4'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2022 Acción 5', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 13, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2022 Riesgo 5'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2022 Acción 6', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 14, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2022 Riesgo 1'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2022 Acción 7', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 15, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2022 Riesgo 1'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2022 Acción 8', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 16, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2022 Riesgo 1'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2022 Acción 9', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 16, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2022 Riesgo 2'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2022 Acción 10', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 16, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2022 Riesgo 3'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2022 Acción 11', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 16, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2022 Riesgo 5'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2022 Acción 12', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 16, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2022 Riesgo 5'));
		
		-- En curso
		alter system set fixed_date = '2022-06-15';
		UPDATE ACCION
			SET IDESTADO = 3
		WHERE DESCRIPCION IN ('2022 Acción 1');
		
		alter system set fixed_date = '2022-06-28';
		UPDATE ACCION
			SET IDESTADO = 3
		WHERE DESCRIPCION IN ('2022 Acción 3');
		
		alter system set fixed_date = '2022-06-12';
		UPDATE ACCION
			SET IDESTADO = 3
		WHERE DESCRIPCION IN ('2022 Acción 4');
		
		alter system set fixed_date = '2022-06-26';
		UPDATE ACCION
			SET IDESTADO = 3
		WHERE DESCRIPCION IN ('2022 Acción 5');
		
		
		-- Implementada con el riesgo mitigado
		alter system set fixed_date = '2022-06-30';
		UPDATE ACCION
			SET IDESTADO = 4
		WHERE DESCRIPCION IN ('2022 Acción 6');
		
		alter system set fixed_date = '2022-06-13';
		UPDATE ACCION
			SET IDESTADO = 4
		WHERE DESCRIPCION IN ('2022 Acción 7');
		
		alter system set fixed_date = '2022-06-14';
		UPDATE ACCION
			SET IDESTADO = 4
		WHERE DESCRIPCION IN ('2022 Acción 8');
		
		alter system set fixed_date = '2022-06-12';
		UPDATE ACCION
			SET IDESTADO = 4
		WHERE DESCRIPCION IN ('2022 Acción 12');
		
		alter system set fixed_date = '2022-06-20';
		UPDATE ACCION
			SET IDESTADO = 4
		WHERE DESCRIPCION IN ('2022 Acción 11', '2022 Acción 10');
		
		
		-- Descartadas
		UPDATE ACCION
			SET IDESTADO = 5
		WHERE DESCRIPCION IN ('2022 Acción 2', '2022 Acción 9');
        
    -------------------------------------------------------------------------------------------------------------------------------
	-------------------- 2023 --------------------    
	alter system set fixed_date = '2023-06-10';
	-------------------- RIESGOS --------------------
		-- Abiertos
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2023 Riesgo 1', SYSDATE, 1, 1, 3, 11, 1);
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2023 Riesgo 2', SYSDATE, 2, 1, 3, 6, 1);
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2023 Riesgo 3', SYSDATE, 3, 3, 2, 15, 1);
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2023 Riesgo 4', SYSDATE, 1, 1, 1, 1, 1);
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2023 Riesgo 5', SYSDATE, 1, 1, 1, 1, 1);
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2023 Riesgo 6', SYSDATE, 1, 1, 1, 2, 1);
		-- Mitigado
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2023 Riesgo 7', SYSDATE, 1, 2, 2, 10, 2);
		-- Corregido
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2023 Riesgo 8', SYSDATE, 2, 1, 3, 18, 3);
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2023 Riesgo 9', SYSDATE, 2, 1, 2, 18, 3);
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2023 Riesgo 10', SYSDATE, 2, 1, 2, 18, 3);
		INSERT INTO RIESGO (DESCRIPCION, FECHA_CREACION, IDCATEGORIA, IDCRITICIDAD, IDORIGEN, IDRESPONSABLE, IDESTADORIESGO) 
			VALUES ('2023 Riesgo 11', SYSDATE, 2, 1, 3, 18, 3);		

	-------------------- CAMPAÑAS --------------------
		INSERT INTO CAMPANHA (NOMBRE, FECHA_INICIO, FECHA_FIN, IDLIDER)
			VALUES ('Campaña 2023', SYSDATE, TO_DATE('31/12/2023','DD/MM/YYYY'), 1);
	
	-------------------- AUDITORIAS --------------------
		INSERT INTO AUDITORIA(DESCRIPCION, COSTE, IDCAMPANHA, IDEMPRESA, IDEMPRESAEXTERNA, FECHA_INICIO)
			VALUES ('AUDITORIA INTERNA 2023', 0, (SELECT ID FROM CAMPANHA WHERE NOMBRE = 'Campaña 2023'), 1, 1, SYSDATE);
		INSERT INTO AUDITORIA(DESCRIPCION, COSTE, IDCAMPANHA, IDEMPRESA, IDEMPRESAEXTERNA, FECHA_INICIO)
			VALUES ('AUDITORIA AUTOEVALUACIÓN 2023', 0, (SELECT ID FROM CAMPANHA WHERE NOMBRE = 'Campaña 2023'), 1, 1, SYSDATE);
		INSERT INTO AUDITORIA(DESCRIPCION, COSTE, IDCAMPANHA, IDEMPRESA, IDEMPRESAEXTERNA, FECHA_INICIO)
			VALUES ('AUDITORIA EXTERNA 1 2023', 1770, (SELECT ID FROM CAMPANHA WHERE NOMBRE = 'Campaña 2023'), 1, 1, SYSDATE);		
	
	-------------------- ACCIONES --------------------
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2023 Acción 1', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 10, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2023 Riesgo 3'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2023 Acción 2', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 12, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2023 Riesgo 4'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2023 Acción 3', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 13, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2023 Riesgo 10'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2023 Acción 4', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 13, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2023 Riesgo 3'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2023 Acción 5', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 13, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2023 Riesgo 5'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2023 Acción 6', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 14, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2023 Riesgo 4'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2023 Acción 7', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 15, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2023 Riesgo 3'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2023 Acción 8', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 16, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2023 Riesgo 8'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2023 Acción 9', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 16, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2023 Riesgo 9'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2023 Acción 10', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 16, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2023 Riesgo 10'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2023 Acción 11', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 16, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2023 Riesgo 2'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2023 Acción 12', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 16, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2023 Riesgo 2'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2023 Acción 13', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 16, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2023 Riesgo 10'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2023 Acción 14', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 16, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2023 Riesgo 8'));
		INSERT INTO ACCION (DESCRIPCION, FECHA_CREACION, FECHA_ESTIMADA_EJECUCION, FECHA_REAL_EJECUCION, IDCREADOR, IDRESPONSABLE, IDESTADO, IDRIESGO)
			VALUES ('2023 Acción 15', SYSDATE, SYSDATE + (select round(dbms_random.value(1,10)) from dual), SYSDATE + (select round(dbms_random.value(10,20)) from dual), 1, 16, 1, (SELECT ID FROM RIESGO WHERE DESCRIPCION = '2023 Riesgo 9'));
		
		-- En curso
		UPDATE ACCION
			SET IDESTADO = 2
		WHERE DESCRIPCION IN ('2023 Acción 1', '2023 Acción 2', '2023 Acción 3', '2023 Acción 4', '2023 Acción 5');
		
		-- Implementada con el riesgo corregido
		alter system set fixed_date = '2023-06-28';
		UPDATE ACCION
			SET IDESTADO = 3
		WHERE DESCRIPCION IN ('2023 Acción 7');
		
		-- Implementada con el riesgo mitigado
		alter system set fixed_date = '2023-06-12';
		UPDATE ACCION
			SET IDESTADO = 4
		WHERE DESCRIPCION IN ('2023 Acción 6','2023 Acción 7','2023 Acción 8','2023 Acción 9', '2023 Acción 10', '2023 Acción 11');
		
		alter system set fixed_date = '2023-06-28';
		UPDATE ACCION
			SET IDESTADO = 4
		WHERE DESCRIPCION IN ('2023 Acción 7','2023 Acción 8');
		
		alter system set fixed_date = '2023-06-30';
		UPDATE ACCION
			SET IDESTADO = 4
		WHERE DESCRIPCION IN ('2023 Acción 9');
		
		alter system set fixed_date = '2023-06-25';
		UPDATE ACCION
			SET IDESTADO = 4
		WHERE DESCRIPCION IN ('2023 Acción 10', '2023 Acción 11');
		
		
		-- Descartadas
		UPDATE ACCION
			SET IDESTADO = 5
		WHERE DESCRIPCION IN ('2023 Acción 12', '2023 Acción 13');

alter system set fixed_date = '2023-06-10';
/